#ifdef GL_ES
precision mediump float;
precision mediump int;
#endif

varying vec4 vertColor;
varying vec3 vertNormal;
varying vec3 vertLightDir;

void main() {
  float intensity = max(0, dot(vertNormal, vertLightDir));
  gl_FragColor = vec4(intensity * vertColor.xyz, 1);
}
